aboutsummaryrefslogtreecommitdiff
path: root/utils/ethereum_ip_addresses_download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/ethereum_ip_addresses_download.sh')
-rwxr-xr-xutils/ethereum_ip_addresses_download.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/utils/ethereum_ip_addresses_download.sh b/utils/ethereum_ip_addresses_download.sh
index 2e2c62ea2..0ea496973 100755
--- a/utils/ethereum_ip_addresses_download.sh
+++ b/utils/ethereum_ip_addresses_download.sh
@@ -12,7 +12,7 @@ echo "(1) Downloading file... ${ORIGIN}"
http_response=$(curl -s -o $TMP -w "%{http_code}" ${ORIGIN})
if [ $http_response != "200" ]; then
echo "Error $http_response: you probably need to update the list url!"
- return 1
+ exit 1
fi
echo "(2) Processing IP addresses..."
@@ -22,4 +22,4 @@ grep 'enode' $TMP | grep -v '^/' | grep ':' | cut -d '@' -f 2 | cut -d ':' -f 1
rm -f $TMP $LIST
echo "(3) Ethereum/Mining IPs are available in $DEST"
-return 0
+exit 0